import { getRequest, postRequest, uploadFile } from '@/utils/request';

// 硬件连接性检测
export async function getPlugCordResult(data: any) {
  return postRequest(`/xgd/pcd/getPlugCordResult`, data);
}

// --------------------------初装系统---------------------------
// 设备初装
export async function deviceInit_init(formData: any) {
  return uploadFile(`/xgd/deviceInit/init`, formData);
}

//  数据安装
export async function deviceInstall_deviceInstall(data: any) {
  return postRequest(`/xgd/deviceInit/deviceInstall`, data);
}

// 开机认证
export async function college_table_query(params: any) {
  return getRequest(`/xgd/deviceInit/powerOnAuth`, params);
}